getShipmentLinesWithDetails
READGet shipment lines with details.
POST /api/v1/inventory/getShipmentLinesWithDetails
curl -X POST '<your-host>/api/v1/inventory/getShipmentLinesWithDetails' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"shipmentId": "string"
}'Response
{
"results": [
{
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"description": "string",
"fulfillmentId": "string",
"id": "string",
"itemId": "string",
"itemReadableId": "string",
"lineId": "string",
"locationId": "string",
"orderQuantity": 0,
"outstandingQuantity": 0,
"requiresBatchTracking": true,
"requiresSerialTracking": true,
"shipmentId": "string",
"shippedQuantity": 0,
"storageUnitId": "string",
"thumbnailPath": "string",
"unitOfMeasure": "string",
"unitPrice": 0,
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"shipmentId": {
"type": "string"
}
},
"required": [
"shipmentId"
]
}